## labltk 8.06.0+dfsg

=== browser/Makefile ===
#########################################################################
#                                                                       #
#                         OCaml LablTk library                          #
#                                                                       #
#            Jacques Garrigue, Kyoto University RIMS                    #
#                                                                       #
#   Copyright 1999 Institut National de Recherche en Informatique et    #
#   en Automatique and Kyoto University.  All rights reserved.          #
#   This file is distributed under the terms of the GNU Library         #
#   General Public License, with the special exception on linking       #
#   described in file ../../../LICENSE.                                 #
#                                                                       #
#########################################################################

# $Id$

include Makefile.shared

dummy.mli:
	cp dummyUnix.mli dummy.mli
