=== debian/changelog ===
labltk (8.06.0+dfsg-3) unstable; urgency=medium

  * liblabltk-ocaml Breaks/Replaces ocaml-base (Closes: #801560)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2015 11:43:06 +0200

labltk (8.06.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2015 15:42:53 +0200

labltk (8.06.0+dfsg-1) experimental; urgency=low

  * Initial upload (Closes: #779039).

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 May 2015 11:39:01 +0200
