=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/?group_id=343 .*/labltk-(.+)\.tar\.gz
