=== debian/changelog ===
labltk (8.06.2-0ubuntu2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:57:19 +0200

labltk (8.06.2-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Jun 2017 10:39:34 +0100

labltk (8.06.0+dfsg-3build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:32 +0100
