=== debian/changelog ===
labltk (8.06.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2017 14:33:53 +0200
