=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ ocaml-nox (>= 4.05),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
 Standards-Version: 3.9.6
 Homepage: https://forge.ocamlcore.org/projects/labltk/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/labltk.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/labltk.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
 
 Package: labltk
 Architecture: any
