## labltk 8.06.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,11 @@
 SUBDIRS_GENERATED=camltk labltk
 include config/Makefile
 
-all:
+all: library
+	cd browser; $(MAKE)
+opt: libraryopt
+
+library:
 	cd support; $(MAKE)
 	cd compiler; $(MAKE)
 	cd labltk; $(MAKE) -f Makefile.gen
@@ -31,9 +35,8 @@
 	cd lib; $(MAKE)
 	cd jpf; $(MAKE)
 	cd frx; $(MAKE)
-	cd browser; $(MAKE)
 
-allopt:
+libraryopt:
 	cd support; $(MAKE) opt
 	cd labltk; $(MAKE) -f Makefile.gen
 	cd labltk; $(MAKE) opt
@@ -46,7 +49,7 @@
 byte: all
 opt: allopt
 
-.PHONY: all allopt byte opt
+.PHONY: all allopt byte opt apiref library libraryopt
 .PHONY: labltk camltk examples examples_labltk examples_camltk
 .PHONY: install installopt partialclean clean depend
 
@@ -66,6 +69,10 @@
 examples_camltk:
 	cd examples_camltk; $(MAKE) all
 
+SUPPORTMLIS= fileevent support textvariable timer tkthread widget
+apiref:
+	$(BINDIR)/ocamldoc -I +threads -I support -I labltk $(SUPPORTMLIS:%=support/%.mli) labltk/*.mli labltk/tk.ml -sort -d htdocs/apiref -html || echo "There were errors"
+
 install:
 	cd support; $(MAKE) install
 	cd lib; $(MAKE) install
@@ -76,6 +83,9 @@
 	cd frx; $(MAKE) install
 	cd browser; $(MAKE) install
 	if test -f lib/labltk.cmxa; then $(MAKE) installopt; else :; fi
+
+install-browser:
+	cd browser; $(MAKE) install
 
 installopt:
 	cd support; $(MAKE) installopt
