=== debian/changelog ===
labltk (8.06.6+dfsg-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:41 +0000

labltk (8.06.6+dfsg-1) unstable; urgency=medium

  * New upstream release
    - bump required OCaml version to >= 4.08
  * Update Vcs-*, Homepage and debian/watch
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:38:27 +0100
