=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.05),
+ ocaml-nox (>= 4.08),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 3.9.6
-Homepage: https://forge.ocamlcore.org/projects/labltk/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/labltk.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/garrigue/labltk
+Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
+Vcs-Git: https://salsa.debian.org/ocaml-team/labltk.git
 
 Package: labltk
 Architecture: any
