=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" https://github.com/garrigue/labltk/releases .*/archive/(.*)\.tar\.gz
