## labltk 8.06.8

=== debian/changelog ===
labltk (8.06.8-1) unstable; urgency=medium

  * New upstream release
    - do not build browser, which works only with OCaml 4.10
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 16:27:16 +0200
