=== debian/changelog ===
labltk (8.06.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:34:52 +0200
