=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
 Vcs-Git: https://salsa.debian.org/ocaml-team/labltk.git
