=== debian/changelog ===
labltk (8.06.11-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:38 +0100

labltk (8.06.11-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:40:18 +0100
