=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
