=== support/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 CCFLAGS=-I$(LIBDIR)/caml $(TK_DEFS) $(SHAREDCCCOMPOPTS)
 
-COMPFLAGS=
+COMPFLAGS=-I +unix
 THFLAGS=-I +threads -I vmthreads
 TKLDOPTS=$(TK_LINK:%=-ldopt "%")
