=== debian/changelog ===
labltk (8.06.13-2build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:53:10 +0200

labltk (8.06.13-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:08:04 +0100

labltk (8.06.13-2) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:22 +0200

labltk (8.06.13-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 13:05:41 +0100

labltk (8.06.11-2) unstable; urgency=medium

  * Fix paths in labltk script (Closes: #1023867)
  * Bump Standards-Version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 14 Nov 2022 08:27:30 +0100
