=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: labltk
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-findlib,
  tk-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/garrigue/labltk
 Vcs-Browser: https://salsa.debian.org/ocaml-team/labltk
@@ -26,8 +27,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml (<< 4.02.1)
-Replaces: ocaml (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (executables)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.
@@ -45,8 +44,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml (<< 4.02.1)
-Replaces: ocaml (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (dev. libraries)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.
@@ -68,8 +65,6 @@
 Provides:
  ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml-base (<< 4.02.1)
-Replaces: ocaml-base (<< 4.02.1)
 Description: OCaml bindings to Tcl/Tk (runtime libraries)
  mlTk is a library for interfacing OCaml with the scripting language
  Tcl/Tk.
