## labltk 8.06.14

=== debian/changelog ===
labltk (8.06.14-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 21:38:55 +0100

labltk (8.06.14-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:35:40 +0200

labltk (8.06.14-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:10:44 +0200

labltk (8.06.14-1) unstable; urgency=medium

  * New upstream release
    - fix build with GCC-14 (Closes: #1075127)
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 13:48:09 +0200
